package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ReasonCodePO;
import mhp.oee.po.gen.ReasonCodePOExample;

public interface ReasonCodePOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int countByExample(ReasonCodePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int deleteByExample(ReasonCodePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int insert(ReasonCodePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int insertSelective(ReasonCodePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    List<ReasonCodePO> selectByExample(ReasonCodePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    ReasonCodePO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ReasonCodePO record, @Param("example") ReasonCodePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ReasonCodePO record, @Param("example") ReasonCodePOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ReasonCodePO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ReasonCodePO record);
}